<?php

namespace App\Models\Scopes;

use Illuminate\Database\Eloquent\Builder;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Scope;

class PaymentGlobalScope implements Scope{


    /** Apply the scope to a given Eloquent query builder.
     * @param Builder $builder
     * @param Model $model
     * @return void
     */
    public function apply(Builder $builder, Model $model){
        $builder->when(request()->filled('payment_method_id'),function ($query){
                    return $query->whereHas('paymentMethod',function ($query){
                        return $query->whereIn('payment_method_id', (array) request()->get('payment_method_id'));
                    });
                })

               ;
    }
}
